DBIx::Class::CDBICompat::ColumnsAsHash(3)

NAME
DBIx::Class::CDBICompat::ColumnsAsHash - Emulates the behavior of Class::DBI where the object can be accessed as a hash of columns.

SYNOPSIS
See DBIx::Class::CDBICompat for usage directions.

DESCRIPTION
Emulates the undocumnted behavior of Class::DBI where the object can be accessed as a hash of columns. This is often used as a performance hack.

    my $column = $row->{column};

  Differences from Class::DBI
If "DBIC_CDBICOMPAT_HASH_WARN" is true it will warn when a column is accessed as a hash key.